import request from '@/utils/request'

// 查询护理站护理项目列表
export function list(query) {
    return request({
        url: '/system/stationItem/list',
        method: 'get',
        params: query
    })
}

// 查询护理站信息列表
export function liststation(query) {
    return request({
        url: '/system/station/list',
        method: 'get',
        params: query
    })
}

// 查询护理类型
export function getInfoList() {
    return request({
        url: '/system/nurseType/getInfoList',
        method: 'get'
    })
}


// 查询护理站护理项目详细
export function getNurseItem(id) {
    return request({
        url: '/system/stationItem/' + id,
        method: 'get'
    })
}

// 新增护理站护理项目
export function addNurseItem(data) {
    return request({
        url: '/system/stationItem/add',
        method: 'post',
        data: data
    })
}

// 修改护理站护理项目
export function updateNurseItem(data) {
    return request({
        url: '/system/stationItem/edit',
        method: 'post',
        data: data
    })
}

// 删除护理站护理项目
export function delNurseItem(id) {
    return request({
        url: '/system/stationItem/' + id,
        method: 'delete'
    })
}
// 删除图片
export function updatePicture(data) {
    return request({
        url: '/system/patientArchives/updatePicture',
        method: 'post',
        data: data
    })
}
